#ifndef __HAL_INTERFACE_WATCHDOG_H__
#define __HAL_INTERFACE_WATCHDOG_H__
#include <stdint.h>
#include "hal.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */


uint32_t hal_watchdog_init();

uint32_t hal_watchdog_deinit();

uint32_t hal_watchdog_start();

uint32_t hal_watchdog_stop();

void *hal_watchdog_kick(void *param);

//return interval unit ms
uint32_t hal_watchdog_get_interval();


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif

